Bug 13114 - Disabled Shibboleth authentication spams logs
Summary: Disabled Shibboleth authentication spams logs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8446 13569
Blocks: 12680 12681 12682 18507 12026 12027
  Show dependency treegraph
 
Reported: 2014-10-20 13:01 UTC by Martin Renvoize
Modified: 2017-04-28 08:54 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13114: Prevent Shibboleth Patches from spamming logs (1.33 KB, patch)
2014-10-20 13:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 13114: Prevent Shibboleth Patches from spamming logs (1.38 KB, patch)
2014-10-20 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13114: Prevent Shibboleth Patches from spamming logs (1.46 KB, patch)
2014-10-21 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2014-10-20 13:01:14 UTC
It appears the initial shibboleth authentication patch spams the logs with an undefined error when disabled.  This is a regression and we should keep the logs quiet (unless of course debug is set).

Sorry guys, patch coming soon.
Comment 1 Martin Renvoize 2014-10-20 13:07:40 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-10-20 13:11:57 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-10-21 22:02:40 UTC
Created attachment 32568 [details] [review]
[PASSED QA] Bug 13114: Prevent Shibboleth Patches from spamming logs

- The shibboleth patch introduced an undefined message into the error
  logs, when shiboleth is disabled.

Testplan

1. Ensure shibboleth is disabled.
2. Refresh any opac page
3. See 'Use of uninitialized value $ENV{"REMOTE_USER"} in string ne at
/home/koha/kohaclone/C4/Auth.pm line 711.' popup in the opac-error.log
4. Apply patch
5. Refresh opac page
6. Error should no longer appear

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described.
Comment 4 Tomás Cohen Arazi 2014-10-22 00:13:28 UTC
Patch pushed to master.

Thanks Martin!